Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util.prefs
Class BackingStoreException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.util.prefs.BackingStoreException

All Implemented Interfaces:
  Serializable

    public class BackingStoreException

extends Exception

Thrown to indicate that a preferences operation could not complete because of a failure in the backing store, or a failure to contact the backing store.

Since:
  1.4
See Also:
  Serialized Form

Constructor Summary
`BackingStoreException(String s)` Constructs a BackingStoreException with the specified detail message.
`BackingStoreException(Throwable cause)` Constructs a BackingStoreException with the specified cause.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BackingStoreException

    public BackingStoreException(String s)

  Constructs a BackingStoreException with the specified detail message.

  Parameters:
    `s` - the detail message.

### BackingStoreException

    public BackingStoreException(Throwable cause)

  Constructs a BackingStoreException with the specified cause.

  Parameters:
    `cause` - the cause

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.